/*
 * dip		A program for handling dialup IP connections.
 *
 *		This module handles the [C]SLIP protocol.
 *
 *
 * Version:	@(#)slip.c	1.02	1.July.1995
 *
 *
 * New Author:	Joachim Bartz, <injb@sun.rz.tu-clausthal.de>
 *
 *		There have been so many changes to get  dip work under
 *		BSD...   So I believe, you can call me an author, too.
 *		Please read the  ReadMe  file and the man page to know
 *		what, when, why.
 *
 *
 * Org.Author:	Fred N. van Kempen, <waltje@uWalt.NL.Mugnet.ORG>
 *		Copyright 1988-1993 MicroWalt Corporation
 *
 *
 *		This program is free software; you can redistribute it
 *		and/or  modify it under  the terms of  the GNU General
 *		Public  License as  published  by  the  Free  Software
 *		Foundation;  either  version 2 of the License, or  (at
 *		your option) any later version.
 *
 *		This program is  distributed in the  hope that it will
 *		be useful, but WITHOUT ANY WARRANTY;  without even the
 *		implied warranty of MERCHANTABILITY  or  FITNESS FOR A
 *		PARTICULAR  PURPOSE.    See  the  GNU  General  Public
 *		License for more details.
 *
 *		You  should have received  a copy  of the  GNU General
 *		Public License along with this program;  if not, write
 *		to the
 *			Free Software Foundation, Inc.
 *			675 Mass Ave
 *			Cambridge, MA 02139, USA
 */

#include "dip.h"

#include <sys/ttycom.h>



int  do_slip ( )
{
  /*
   *  Put line in [C]SLIP discipline and get interface name.
   */
  if ( tty_set_disc ( SLIPDISC )  <  0)
  {
    syslog ( LOG_ERR, "set SLIP discipline: %m" );

    mydip.setsdisc = 0;

    return -1;
  }
  else
    mydip.setsdisc = 1;


  /*
   *  Add the route to that host.
   */
  mydip.isattached =  ( attach ( DO_ATTACH ) == 0 )  ? 1 : 0 ;

  return 0;
}
